Bug 212725 - gtk-window-decorator not started when loggin in
gtk-window-decorator not started when loggin in
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
: Triaged
: 208370 216345 218029 248299 (view as bug list)
Depends On:
Blocks: 216735
  Show dependency treegraph
 
Reported: 2006-10-28 09:30 EDT by Christophe Lambin
Modified: 2010-02-03 19:59 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:53:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Lambin 2006-10-28 09:30:29 EDT
Description of problem:
Having enabled Desktop Effects, gnome-window-decorator doesn't start when I log
in again. As a result, the windows have no title bar. If I disable/enable
Desktop Effects, gnome-window-decorator will start, until I log out&in again.

Version-Release number of selected component (if applicable):
compiz-0.0.13-0.32.20060817git.fc6

How reproducible:
Always

Steps to Reproduce:
1. Enable Desktop Effects
2. Log out
3. Log in
4. Observe that windows have no title bar and gnome-window-decorator isn't running
5. Disable Desktop Efforts & Re-enable
6. Observe that windows now have a title bar and gnome-window-decorator is running
7. Goto 2

Additional info:
This is with xorg-x11-drv-nvidia-1.0.9626-2.lvn6 from livna.
Comment 1 Kurt Heine 2006-11-02 19:30:41 EST
This happens to me also.  I am running nvidia and when I enable desktop-effects
all the windows title bars,etc (windows manager stuff) seems to disappear.  When
I  disable desktop-effects then all the windows manager bars appear.  I can do
this without logging in/out.

package versions :
kernel-2.6.18-1.2798.fc6
compiz-0.0.13-0.32.20060817git.fc6
xorg-x11-drv-nvidia-1.0.9626-3.lvn6
kmod-nvidia-1.0.9626-2.2.6.18_1.2798.fc6
Comment 2 Scott Baker 2006-11-02 19:49:05 EST
Not to be another "me too" but I have this problem as well. I'm using the
FreshRPMs.net Nvidia drivers however. I don't believe the problem is related to
the Nvidia drivers as my other GL applications work just fine.
Comment 3 Milan Slanař 2006-11-08 06:37:10 EST
This happens to me when I enable auto save session in gnome env. When I disable
auto save session than decorator starts o.k. HW is centrino notebook - driver i810.
Comment 4 Matěj Cepl 2006-11-09 12:15:20 EST
Again, one more "me too" with driver "intel" and Intel 915GM. Haven't tested
switch auto-save sessions yet.
Comment 6 Søren Sandmann Pedersen 2006-11-09 14:14:01 EST
Maybe gnome-window-decorator simply doesn't save itself in the session.

Comment 7 Matěj Cepl 2006-11-10 10:22:26 EST
Could fully reproduce working behavior with auto save sessions switched off (and
I had to remove the old session first).
Comment 8 Matěj Cepl 2006-11-15 19:27:13 EST
*** Bug 208370 has been marked as a duplicate of this bug. ***
Comment 9 Søren Sandmann Pedersen 2006-11-21 10:23:00 EST
*** Bug 216345 has been marked as a duplicate of this bug. ***
Comment 10 Alex Lancaster 2006-11-21 16:36:13 EST
The workaround that works for me is to open the "Sessions" control panel.  Go to
"Startup Programs" click "Add", enter "gnome-window-director".  Then close. 
Upon restart the window decorators are restored.
Comment 11 Alex Lancaster 2006-11-21 16:37:48 EST
So comment #6 appears to be correct: it doesn't save itself correctly in the
session.
Comment 12 Milan Slanař 2006-11-23 10:50:56 EST
From gnome 2.16.2 changelog:

NEWS: gnome-session-2.16.2
Session Manager
	* Add fvwm and compiz support to gnome-wm (Ken Deeter, Vincent)


Maybe this will help.
Comment 13 Michael Hampton 2007-01-04 01:44:40 EST
I had a similar problem using NVIDIA binary driver 9631; there were no window
borders or title bars. Unlike some commenters, gnome-window-decorator/compiz WAS
running.

I'm not sure what the problem was, but I was able to work around it by blowing
away the GNOME config and starting fresh:

rm -rf ~/.gnome* ~/.gconf*

After logging in again, I was able to use desktop effects and everything seems
to work fine.

This strongly suggests that it's a bug in GNOME/compiz/something else, and NOT
the fault of the binary drivers.
Comment 14 Julian Sikorski 2007-01-18 05:57:53 EST
I think that a good idea would be if desktop-effects just added gwd to autostart.
Comment 15 Kristian Høgsberg 2007-02-07 11:10:44 EST
The problem here could be that upstream gnome-session updated to start
gtk-window-decorator, but for a while we were still using gnome-window-decorator
from an earlier compiz version.  Latest compiz-0.3.6 builds in rawhide or
fc6-updates should provide gtk-window-decorator and require gnome-session at
least 2.16 so they agree on the name of the decorator application.

Please try that out and see if that works.
Comment 16 Mike Lococo 2007-02-14 18:28:16 EST
This bug is still present in 0.3.6-2 with gnome-session 2.16.3-1.
Comment 17 James Bridge 2007-02-15 13:21:25 EST
*** Bug 218029 has been marked as a duplicate of this bug. ***
Comment 18 Kristian Høgsberg 2007-08-14 18:05:08 EDT
Still a problem?
Comment 19 mail@romal.de 2007-08-24 14:42:13 EDT
On i386 compiz does not work at all, as the nvidia-driver is incompatible with
the kernel.

On x86_64 with x.org intel driver, compiz is completly broken and does not even
start a window-manager after enabling compiz.

Rawhide 2008-08-24
Comment 20 mail@romal.de 2007-11-12 03:00:19 EST
Happens sometimes, most times it works though. I did a clean reinstall of F8 and
this seems to happen mainly after updating the system. Pirut (or a package he
pulls in) seems to disable compiz sometimes.
Comment 21 Matěj Cepl 2007-12-05 06:20:14 EST
I think we've got another duplicate of this.
Comment 22 Matěj Cepl 2007-12-05 06:20:30 EST
*** Bug 248299 has been marked as a duplicate of this bug. ***
Comment 23 Matěj Cepl 2007-12-10 04:23:31 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 24 Milan Slanař 2007-12-20 09:20:16 EST
I can reproduce this on F8. When option "Automatically remember running
applications when logging out" is on in session properties than decorator and
even compiz won't start on subsequent login.
Comment 25 mail@romal.de 2008-10-21 04:15:18 EDT
Has not happened for me for a long time. Should we close this bug ?
Comment 26 Christophe Lambin 2008-10-21 18:40:35 EDT
I haven't seen this problem since moving to Fedora 9.
Comment 27 Bug Zapper 2008-11-26 02:03:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Christophe Lambin 2008-11-29 05:16:23 EST
This bug is back in Fedora 10:  on login, no window decorator.

The window decorator seems to be running initially when logging in (window borders can be seen), but is then stopped after a second or so.

In Fedora 10, started 'gtk-window-decorator --replace' manually no longer works as a workaround: the process starts, but nothing happens.
Comment 29 Alex Lancaster 2008-12-14 04:13:32 EST
Yep, I can reproduce this on F10.  No window decorator appears.
Comment 30 Damien Schoof 2009-03-04 02:10:23 EST
I can also reproduce this bug on Fedora 10.  I have found a workaround for it, but it is really annoying - toggle desktop effects, and the window decorations will appear (toggling them after this will not get rid of them).  Seemed to happen after one of my updates, but I am not sure of the exact update.  I have also tried `gtk-window-decorator --replace` which seemed to have no effect.
Comment 32 Matěj Cepl 2009-11-17 07:00:02 EST
Switching incorrect assignees to the default one.
Comment 33 Bug Zapper 2009-11-18 03:08:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 34 Bug Zapper 2009-12-18 00:53:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 35 osman 2010-02-03 19:59:20 EST
i think fedora 12 got this bug too well i been 2 days and nothing good is goin on

Note You need to log in before you can comment on or make changes to this bug.